/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

.white h1, .white h2, .white h3, .white h4, .white h5, .white h6, .white p, .white a, .white li {
  color: white !important; }
.white a {
  text-decoration: underline !important; }

/* Gravity Forms - Form Inputs */
/* Form Inputs - Default */
.gform_wrapper .gform_body .gform_fields .gfield input, .gform_wrapper .gform_body .gform_fields .gfield select, .gform_wrapper .gform_body .gform_fields .gfield textarea {
	border-radius: 0px;
}

/* Form Inputs - Class "round" */
.gform_wrapper .round .gform_body .gform_fields .gfield input:not([type='checkbox']), .gform_wrapper .round .gform_body .gform_fields .gfield select, .gform_wrapper .round .gform_body .gform_fields .gfield textarea {
	border-radius: 5px;
}

/* Form Inputs - Class "round-10" */
.gform_wrapper .round-10 .gform_body .gform_fields .gfield input:not([type='checkbox']), .gform_wrapper .round-10 .gform_body .gform_fields .gfield select, .gform_wrapper .round-10 .gform_body .gform_fields .gfield textarea {
	border-radius: 10px;
}

/* Form Inputs - Class "round-20" */
.gform_wrapper .round-20 .gform_body .gform_fields .gfield input:not([type='checkbox']), .gform_wrapper .round-20 .gform_body .gform_fields .gfield select, .gform_wrapper .round-20 .gform_body .gform_fields .gfield textarea {
	border-radius: 20px;
}

body ul.elementor-nav-menu--dropdown a, 
body ul.elementor-nav-menu--dropdown a:focus, 
body ul.elementor-nav-menu--dropdown a:hover{
	border-left: 0;
}

.elementor-text-editor p a,
.elementor-text-editor li a,
.elementor-tab-content p a,
.elementor-tab-content li a{
	text-decoration: underline;
}

.wpml-ls-slot-shortcode_actions:not(.wpml-ls-current-language) a{
	color: white;
}

@media only screen and (min-width: 992px) {
	.custom-menu-hover .menu-item > a:not(.elementor-sub-item):hover {
		background: url(/wp-content/uploads/2021/05/custom-link-underline-2.svg) bottom right no-repeat;
		background-size: 16em;
		transition: none;
}
	.custom-menu-hover .elementor-item-active:not(.elementor-sub-item),
	.custom-menu-hover .current_page_ancestor > a {
		background: url(/wp-content/uploads/2021/05/custom-link-underline-2.svg) bottom right no-repeat;
		background-size: 16em;
		transition: none;
	}
}

.youth-friendly-underline {
	background: url(/wp-content/uploads/2022/02/custom-underline-2.svg) bottom right no-repeat;
	background-size: 6.8em;
	padding-bottom: 15px;
	transition: none;
}

#accents-background {
	background: url(/wp-content/uploads/2022/02/rainbow-accent.svg) no-repeat bottom right -100px, url(/wp-content/uploads/2022/02/scribble-accent.svg) no-repeat center top -100px, url(/wp-content/uploads/2022/02/doodle-accent.svg) no-repeat center left -130px #F4DAEA;
}

.elementor-widget-testimonial-carousel.testimonial_slider .elementor-swiper-button-next{
	display: none !important;
}

.elementor-widget-testimonial-carousel.testimonial_slider .elementor-swiper-button-prev{
	left: -75px !important;
}

.testimonial_slider .elementor-swiper-button-prev i{
	border: 10px solid;
    border-radius: 100%;
	padding: 10px;
    font-weight: 800;
}

.testimonial_slider .elementor-swiper-button-prev i:before{
    content: '\e8bf';
}

@media (max-width: 768px){
	.elementor-widget-testimonial-carousel.testimonial_slider .elementor-swiper-button-prev{
		left: unset;
		right: 55px;
		bottom: -10px;
		top: unset;
		font-size: 30px !important;
	}
	.elementor-widget-testimonial-carousel.testimonial_slider .elementor-swiper-button-prev i{
		border-width: 6px;
	}
}

.calendar_column:before{
	background-image: url('/wp-content/uploads/2022/03/Group-115.png');
	content: '';
	display: block;
	width: 161px;
	height: 166px;
	right: 700px;
	top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
	position: absolute;
}

@media (max-width: 1024px){
	.calendar_column:before{
		right: unset;
		left: 80vw;
	}
}

@media (max-width: 768px){
	.calendar_column:before{
		display: none;
	}
}


.elementor-swiper-button-next {
	display: none !important;
}

.swiper-container {
    margin-left: auto;
    margin-right: 0;
}

.elementor-testimonial__footer {
  /*  position: absolute; */
    bottom: 20px;
    padding-right: 50px;
}

.elementor-widget-testimonial-carousel .swiper-slide {
    height: auto;
    min-height: 330px;
}

.find-location-underline {
	background: url(/wp-content/uploads/2022/03/find-a-location-page-accent.svg) bottom left no-repeat;
	background-size: 2.8em;
	padding-bottom: 15px;
	transition: none;	
}

#single-location-background {
	background: url(/wp-content/uploads/2022/03/Group-32.svg) no-repeat center left -200px, url(/wp-content/uploads/2022/03/Group-33.svg) no-repeat center right -100px #F4DAEA;
}

#huddle-map_tooltip-box .hotspot-button {
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 1.2px;
    border-radius: 50px 50px 50px 50px !important;
	font-family: var( --e-global-typography-text-font-family ), Sans-serif;
    font-size: var( --e-global-typography-text-font-size );
    color: #ffffff;

}

.huddle-map-hotspot_active svg,
.huddle-map-hotspot_active svg path,
.e-hotspot__button:hover svg,
.e-hotspot__button:hover svg path{
	fill: var( --e-global-color-secondary ) !important;
}

.e-hotspot > .e-hotspot__direction-mask{
	display: none !important;
}

#huddle-map_tooltip-box{
	min-height: 200px;
}

#huddle-map_tooltip-box .e-hotspot__tooltip{
	opacity: 1 !important;
	padding: 30px 20px;
	white-space: initial;
	line-height: 1.5;
}

.e-hotspot__tooltip{
	position: relative !important;
    top: initial;
    transform: none !important;
	pointer-events: initial !important;
}

#huddle-map_tooltip-box .e-hotspot__tooltip p{
	margin-bottom: 0;
}

#huddle-map_tooltip-box h3{
	font-weight: 300;
	font-size: 30px;
	margin-top: 0;
}


#huddle-map_tooltip-box .e-hotspot__direction-mask{
	position: relative !important;
}

.huddle-map_location,
.huddle-map_hours,
.huddle-map_services{
    display: block;
	margin: 5px 0;
}

#huddle-map_tooltip-box ul{
	list-style-type: none;
	padding: 10px 0;
	line-height: 1.5;
}

#huddle-map_tooltip-box ul li{
	margin: 10px 0;
}

#huddle-map_tooltip-box ul img{
	vertical-align: -5px;
}

@media only screen and (min-width: 992px) {
#services-available-background {
	background: url(/wp-content/uploads/2022/02/rainbow-accent.svg) no-repeat center left -200px, url(/wp-content/uploads/2022/03/Group-87.svg) no-repeat center right 100px #F4DAEA;
}
}

@media only screen and (max-width: 692px) {
.elementor-image-box-wrapper {
    display: flex !important;
	text-align: left !important;
}

.elementor-image-box-img {
vertical-align: middle
}
	
	.elementor-image-box-img img {
    transition-duration: 0.3s;
    padding-right:10px;
	}
}
